#!/bin/bash


rm -f data_meter.c

touch data_meter.c

cat user_module.c >> data_meter.c
cat user_common.c >> data_meter.c

make && make install

rm data_meter.c

echo
echo "INSTALLED DRIVER"
ls -l /lib/modules/2.6.30.10-105.2.23.fc11.i586/kernel/drivers/data_meter/data_meter.ko 

echo
echo "LOADING DRIVER"
rmmod data_meter
insmod /lib/modules/2.6.30.10-105.2.23.fc11.i586/kernel/drivers/data_meter/data_meter.ko

echo
echo "LSMOD DRIVER"
lsmod | grep data_meter


echo
echo "ATTEMPTING TO DETECT ACTIVE USB DEVICE"
ls -ld  /sys/bus/usb/drivers/taz_data_meter/2*/




