#!/usr/bin/perl


use strict;

my $data_file = shift;

if (! $data_file)
  {
    my @list = </sys/bus/usb/drivers/taz_data_meter/*/sd_data>;
    $data_file = pop @list;
  }

print "Reading file $data_file\n";

die "cannot find data file" unless ( -e $data_file );

my $out_file = "sd_download.log";

open(OUT,">$out_file") || die "Cannot open optput file: '$out_file";


sof($data_file);

my $count = 0;

my $records = 0;

my $lines = 1;
while ($lines)
  {
    $count++;
    if ($count>100) 
      {
        print "Read $records records\n";
        $count = 0;
      }

        open(IN,"<$data_file") || die "Cannot open $data_file";

        $lines = 0;
        while ( my $line = <IN> )
          {
#            print $line;
            $lines++;
            $records++;
            print OUT $line if ($line =~ /\d+\s*,\s*\d+/);
          }
        close(IN);


  }

close(OUT);

print "Read $records records\n";

print "DONE\n";


sub sof
  {
    my $file = shift;
    open(SOF,">$file") || die "Cannot open output file for writing";
    print SOF "\n";
    close(SOF);
  }

