#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sd_card_api.h"
#include "my_sd_card.h"

static unsigned char sd_card[ SECTOR_BYTES ];


void ShutdownMedia()
  {
    printf("shutdown\n");
  }

void MediaInitialize()
  {
    printf("initialize\n");
  }



BYTE SD_CUSTOM_Sector_Erase(int tag_sector_start, int tag_sector_end)
  {
    unsigned char *ptr;
    ptr = sd_card;
    ptr = sd_card + tag_sector_start*SECTOR_SIZE;
    memset(ptr, 0, (tag_sector_end-tag_sector_start)*SECTOR_SIZE);

  }

int SectorWrite(int sector, unsigned char *buffer,int x)
  {
    printf("SectorWrite [%d]\n",sector);
    if (sector >= SECTOR_COUNT) return 0;
    memcpy(sd_card+SECTOR_SIZE*sector, buffer, SECTOR_SIZE);
    return 1;
  }

int SectorRead(int sector, unsigned char *buffer)
  {
    printf("SectorRead [%d]\n",sector);
    if (sector >= SECTOR_COUNT) return 0;
    memcpy(buffer, sd_card+SECTOR_SIZE*sector, SECTOR_SIZE);
    return 1;
  }


