
#include <stdio.h>
#include <string.h>
#include <usb.h>
#include <unistd.h>

int conv(char *s, int len)
  {
    int i;
    int value = 0;
    int sign = 0;
    char c;

printf("STRING = %s, LENGTH = %d\n",s,len);
    for (i=0; i<len; i++)
      {
        c = s[i];
        if (isdigit(c))
          {
            value = value*10 + (c-'0');
            continue;
          }

        if (value == 0)
          {
            if (isblank(c))
              continue;
          }

        if (sign == 0)
          {
            if (c == '+')
              {
                sign = 1;
                continue;
              }
            else if (c == '-')
              {
                sign = -1;
                continue;
              }
          }    
        break;
      }
    sign=(sign<0)?sign:(+1);
    return sign*value;
  }


int main(int argc, char *argv[])
  {
    printf("%s = %d\n",argv[1],conv(argv[1],strlen(argv[1])));
    return 0;
  }

