#!/usr/bin/perl


use strict;

my $data_file = shift;
my $out_file = "download.log";

if (! $data_file)
  {
    my @list = </sys/bus/usb/drivers/taz_data_meter/*/sd_test>;
    $data_file = pop @list;
  }

print "Reading file $data_file\n";

die "cannot find data file" unless ( -e $data_file );



open(OUT,">$out_file") || die "Cannot open download file\n";

my $line = 1;
while ($line)
  {
        open(IN,"<$data_file") || die "Cannot open $data_file";
        $line = <IN>;
        close(IN);
        print OUT $line;
  }
close(OUT);

print " diff download.log sample_data.txt \n"

