#!/usr/bin/perl


use strict;

my $data_file = shift;
my $sample_data = "./sample_data.txt";

if (! $data_file)
  {
    my @list = </sys/bus/usb/drivers/taz_data_meter/*/sd_test>;
    $data_file = pop @list;
  }

print "Writing file $data_file\n";

die "cannot find data file" unless ( -e $data_file );

# reset the file
open(OUT,">$data_file") || die "Cannot open sd_test file: '$data_file";
print OUT "2,2\n";
close(OUT);

open(IN,"<$data_file") || die "Cannot open sd_test file: '$data_file";
my $line = <IN>;
close(IN);

open(DAT,"<$sample_data") || die "Cannot open sample data file '$sample_data'";


while (my $line = <DAT>)
  {
    open(OUT,">$data_file") || die "Cannot open sd_test file: '$data_file";
    print $line;
    print OUT $line;
    close(OUT);
  }

close(DAT);

