#include <string.h>

#include "eeprom.h"
#include "eeprom_sector_value.h"
#include "GenericTypeDefs.h"



void EEPROM_write_sector_number(unsigned long *value)
  {
    BYTE bytes[4];
    
    memcpy( (void*) bytes, (void*) value, 4);
    
    EE_write(0,bytes[0]);
    EE_write(1,bytes[1]);
    EE_write(2,bytes[2]);      
    EE_write(3,bytes[3]);       
  }
  
void EEPROM_read_sector_number(unsigned long *value)
  {
    BYTE bytes[4];
    
    bytes[0] = EE_read(0);
    bytes[1] = EE_read(1);
    bytes[2] = EE_read(2);
    bytes[3] = EE_read(3);
           
    memcpy(  (void*) value, (void*) bytes, 4); 
    
    if (*value == 0xFFFFFFFF) 
      {
        *value = 0;
        EEPROM_write_sector_number(value);
      }  
  }