#ifndef _PROTOCOL_H
#define _PROTOCOL_H

/*
#include <p18f4550.h>
#include <timers.h>
#include <pwm.h>
*/

// 10 => 2977.8
// 15 => 2047
// 20 => 1559.7
// 25 => 1259.6
// 30 => 1056.1
// 35 => 909.4
// 40 => 798.4

#define PCMD_UNKNOWN      0

#define PCMD_IDLE        10
#define PCMD_IDLE_LO   2937
#define PCMD_IDLE_HI   3017

#define PCMD_START       15
#define PCMD_START_LO  2007
#define PCMD_START_HI  2087

#define PCMD_STOP        20
#define PCMD_STOP_LO   1519
#define PCMD_STOP_HI   1599

#define PCMD_RESET       25
#define PCMD_RESET_LO  1219
#define PCMD_RESET_HI  1299

/*
#define PCMD_MASTER      30 
#define PCMD_MASTER_LO 1053
#define PCMD_MASTER_HI 1059

#define PCMD_OK          35
#define PCMD_OK_LO      906
#define PCMD_OK_HI      912
*/

void SetDC(unsigned int dutycycle);

void protocol_init(void);

void protocol_set_cmd(unsigned int CMD);

unsigned int protocol_get_cmd(void);

#endif