
#ifndef _TOGGLE_H
#define _TOGGLE_H

 
#define TOGGLE_ZERO  0
#define TOGGLE_ONE   1

#define TOGGLE_DOWN  0
#define TOGGLE_UP    1

  
typedef struct TOGGLE_STRUCT {
    unsigned int timer_value;
    unsigned char state;
    unsigned char value;
    unsigned char status;
} TOGGLE_BUTTON;

void toggle_init(TOGGLE_BUTTON *ptr, unsigned char);

unsigned char toggle_get_status(TOGGLE_BUTTON *ptr);

unsigned char toggle_get_value(TOGGLE_BUTTON *ptr);

void toggle_set_value(TOGGLE_BUTTON *ptr, unsigned char value);

void toggle_update(TOGGLE_BUTTON *ptr, unsigned char PORT);

#endif

