#!/usr/bin/perl


use strict;

use MyGraph;

#
# gnuplot> plot 'plot.dat' using 1:2 title 'graph' with lines;
#


my $time = 0;

my $obj = new MyGraph();
while (my $line = <STDIN>)
  {
    
    my ($delay,$value) = $obj->split($line);

    $time = $time + $delay;

    my $seconds = $obj->toSeconds($time);
    my $value = $obj->toAmps($value);

    print "$seconds\t$value\n";
  }

print "
    gnuplot
    plot 'plot.dat' using 1:2 title 'graph' with lines
";
