#!/usr/bin/perl


use strict;

my $max_value = 0;
my $max_time = 0;
my $time = 0;

my $t0_tick = 0.000000666666666666667;  # t0 seconds per t0 tick 


while (my $line = <STDIN>)
  {
    chop($line);
    my ($delay,$value) = split(/,/,$line);

    $time = $time + $delay;


    if ($value > $max_value)
      {
        $max_value = $value;
        $max_time = $time;
      }

  }

my $seconds = $t0_tick*$max_time*4;
print "MAX = ($max_time,$max_value) ($seconds Seconds\n";
