#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <string.h>

#include "my_sd_card.h"
#include "sd_card_api.h"


int main(int argc, char* argv[])
  {
    int i,j;
    SECTOR_COUNTER_TYPE max_sector = 0;

    RECORD_TYPE my_data;
    RECORD_TYPE *ptr;

    my_data.delay = 0;
    my_data.value = 0;

    SD_erase();

    max_sector = 0; 
    for (i=0; i<1000; i++)
     {
       max_sector++;
       my_data.delay = i;
       my_data.value = 10*i;

      printf("\n%d %d\t", my_data.delay,my_data.value);

       if (! SD_write(&my_data)) {printf("\nEOF!!!\n"); break; }
     }

    SD_seek_sof();
    while (ptr = SD_read(max_sector))
      printf("%d %d\n", 
        ptr->delay,
        ptr->value);

    printf("\n");
    
    return 0;
  }


