
#ifndef LED_DISP_H
#define LED_DISP_H

//#include "GenericTypeDefs.h"
//#include "Compiler.h"

// define pins

#define DISP_A PORTBbits.RB5 
#define DISP_B PORTBbits.RB4
#define DISP_C PORTBbits.RB3
#define DISP_D PORTBbits.RB2
#define DISP_E PORTBbits.RB1
#define DISP_F PORTBbits.RB0
#define DISP_G PORTDbits.RD7
#define DISP_H PORTDbits.RD6

#define DISP_1 PORTDbits.RD4
#define DISP_2 PORTDbits.RD3
#define DISP_3 PORTDbits.RD2

#define TRIS_DISP TRISBbits.TRISB5 = 0; \
                  TRISBbits.TRISB4 = 0; \
                  TRISBbits.TRISB3 = 0; \
                  TRISBbits.TRISB2 = 0; \
                  TRISBbits.TRISB1 = 0; \
                  TRISBbits.TRISB0 = 0; \
                  TRISDbits.TRISD7 = 0; \
                  TRISDbits.TRISD6 = 0; \
                  TRISDbits.TRISD4 = 0; \
                  TRISDbits.TRISD3 = 0; \
                  TRISDbits.TRISD2 = 0;

// ON

#define DISP_A_ON DISP_A = 0
#define DISP_B_ON DISP_B = 0
#define DISP_C_ON DISP_C = 0
#define DISP_D_ON DISP_D = 0
#define DISP_E_ON DISP_E = 0
#define DISP_F_ON DISP_F = 0
#define DISP_G_ON DISP_G = 0
#define DISP_H_ON DISP_H = 0

#define DISP_1_ON DISP_1 = 1
#define DISP_2_ON DISP_2 = 1
#define DISP_3_ON DISP_3 = 1

// OFF

#define DISP_A_OFF DISP_A = 1
#define DISP_B_OFF DISP_B = 1
#define DISP_C_OFF DISP_C = 1
#define DISP_D_OFF DISP_D = 1
#define DISP_E_OFF DISP_E = 1
#define DISP_F_OFF DISP_F = 1
#define DISP_G_OFF DISP_G = 1
#define DISP_H_OFF DISP_H = 1

#define DISP_1_OFF DISP_1 = 0
#define DISP_2_OFF DISP_2 = 0
#define DISP_3_OFF DISP_3 = 0


#define DISP_OFF DISP_1_OFF; DISP_2_OFF; DISP_3_OFF; \
                 DISP_A_OFF; DISP_B_OFF; DISP_C_OFF; DISP_D_OFF; DISP_E_OFF; DISP_F_OFF; DISP_G_OFF;



void mike_init_display(void);
void mike_set_led(int, int);
void mike_refresh_display(void);
void mike_update_display(int);

#endif